;	This file is part of Remote Power Off Project
;	http://www.digitalspirit.org/wiki/projets/extincteurtv
;	Copyright (c) 2006 Charles Rincheval.
;	All rights reserved
;
;	Remote Power Off is free software; you can redistribute it and/or modify it
;	under the terms of the GNU General Public License as published
;	by the Free Software Foundation; either version 2 of the License,
;	or (at your option) any later version.
;
;	Remote Power Off is distributed in the hope that it will be useful, but
;	WITHOUT ANY WARRANTY; without even the implied warranty of
;	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;	GNU General Public License for more details.
;
;	You should have received a copy of the GNU General Public License
;	along with Remote Power Off; if not, write to the Free Software
;	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;


; Grundig
; freq			:	[32khz]		-> 32 khz
; header		:	[1]			-> Entte prsent
; 					[2,480ms]	-> Dure du 0
; 					[740us]		-> Dure du 1
; data timing	:	[1]			-> Dure diffrente pour 1 et 0
;					[580]		-> Dure du 0
;					[450]		-> Dure du 1
; data			:	[20]		-> Nombre de bits  envoyer
;					[1001 1001 0101 0101 0101]






; Grundig
; 32khz, espac de l'entte de 20ms
; header : 740us  1, 2,480ms  0
; 1 bit 0 : 580us
; 1 bit 1 : 450us
; 1001 1001 0101 0101 0101
send_grundig

	F_30KHZ

	; Header
	movlw	.77
	movwf	time_0

	movlw	.18
	movwf	time_1

	call	send_1
	call	send_0

	movlw	.2
	movwf	time_1

	call	send_1

	; Data
	movlw	.17
	movwf	time_0

	movlw	.11
	movwf	time_1

	call	send_1

	movlw	.33
	movwf	time_0
	call	send_0

	movlw	.20
	movwf	time_0

	call	send_2_1

	call	send_0
	call	send_0
	call	send_1

	call	send_0
	call	send_1
	call	send_0
	call	send_1

	call	send_0
	call	send_1
	call	send_0
	call	send_1

	call	send_0
	call	send_1
	call	send_0
	call	send_1

	return


send_grundig_h

	F_30KHZ

	; Header
	movlw	.77
	movwf	time_0

	movlw	.18
	movwf	time_1

	call	send_1
	call	send_0

	; Data
	movlw	.17
	movwf	time_0

	movlw	.11
	movwf	time_1

	call	send_1
	call	send_0
	call	send_1
	call	send_0

	call	send_1
	call	send_0
	call	send_1
	call	send_0

	call	send_1
	call	send_0
	call	send_1
	call	send_0

	call	send_1
	call	send_0
	call	send_1
	call	send_0

	call	send_1
	call	send_0
	call	send_1
	call	send_0

	return
