;	This file is part of Remote Power Off Project
;	http://www.digitalspirit.org/wiki/projets/extincteurtv
;	Copyright (c) 2006 Charles Rincheval.
;	All rights reserved
;
;	Remote Power Off is free software; you can redistribute it and/or modify it
;	under the terms of the GNU General Public License as published
;	by the Free Software Foundation; either version 2 of the License,
;	or (at your option) any later version.
;
;	Remote Power Off is distributed in the hope that it will be useful, but
;	WITHOUT ANY WARRANTY; without even the implied warranty of
;	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;	GNU General Public License for more details.
;
;	You should have received a copy of the GNU General Public License
;	along with Remote Power Off; if not, write to the Free Software
;	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;

; Philips, Samsung, Schneider
; Normalement :
; Orion, Alba, Audiosonic
; Baur, Beon, Bush
; Cathay, Centurion, Clarivox, Crown
; Daewoo, Dansai, Digatron, Dixi
; Elin, Erres
; Fergusson, Finlux, Formenti
; GEC, Goldstar, Goodmans, Granada...
; RC5 coding (http://www.xs4all.nl/~sbp/knowledge/ir/rc5.htm)
; freq			:	[36khz]		-> 36 khz
; header		:	[0]			-> Pas d'entte
; data timing	:	[0]			-> Dures identiques pour 0 et 1
;					[889us]		-> Dure d'un bit
; data			:	[26]		-> Nombre de bits  envoyer
; GOOD				[1011 0101 0101 0101 0100 1011 01]
;					[0101 0110 1010 1010 1010 0101 1010]
send_rc5

	F_36KHZ

	movlw	0x21
	movwf	time_0
	movwf	time_1

	call	send_0
	call	send_1
	call	send_0
	call	send_1

	call	send_0
	call	send_2_1
	call	send_0

	call	send_1
	call	send_0
	call	send_1
	call	send_0

	call	send_1
	call	send_0
	call	send_1
	call	send_0

	call	send_1
	call	send_0
	call	send_1
	call	send_0

	call	send_0
	call	send_1
	call	send_0
	call	send_1

	call	send_1
	call	send_0
	call	send_1
	call	send_0

	return


;	call	send_1
;	call	send_0
;	call	send_2_1
;
;	call	send_0
;	call	send_1
;	call	send_0
;	call	send_1
;
;	call	send_0
;	call	send_1
;	call	send_0
;	call	send_1
;
;	call	send_0
;	call	send_1
;	call	send_0
;	call	send_1
;
;	call	send_0
;	call	send_1
;	call	send_0
;	call	send_0
;
;	call	send_1
;	call	send_0
;	call	send_2_1
;
;	call	send_0
;	call	send_1
;
